﻿#nullable enable

using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Logging.Configuration;

namespace Unity.Extensions.Logging
{
    public static class UnityLoggerExtensions
    {
        public static ILoggingBuilder AddUnityLogger(this ILoggingBuilder builder)
        {
            builder.AddConfiguration();
            builder.Services.AddSingleton<ILoggerProvider, UnityLoggerProvider>();
            return builder;
        }
    }
}